# Generated from gitsu-2.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitsu

Name: rubygem-%{gem_name}
Version: 2.0.4
Release: 1%{?dist}
Summary: Gitsu allows you to quickly configure and switch between Git users, for different projects and contexts, and pairing
License: GPL-3
URL: http://drrb.github.io/gitsu
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls) >= 0.6.3
# BuildRequires: rubygem(json)
# BuildRequires: rubygem(mime-types) < 2
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(cucumber)
BuildArch: noarch

%description
User management and pairing for Git.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/git-su
%{_bindir}/git-whoami
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/.licenseignore
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/gitsu.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 2.0.4-1
- Initial package
